Skip to main content
GET
Get the default workflow configuration

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Path Parameters

workflowCode
string
required

Path parameter to specify the workflow code. Machine-friendly code of Workflow.

Pattern: ^[a-z][-A-Za-z0-9]*$

Query Parameters

includeResolvedRulesets
boolean
default:false

Boolean indicating if resolved rulesets should be included in the response.

includeResolvedUser
boolean
default:false

Boolean indicating if resolved user information should be included in the response.

filter[workspaceId]
string

Filter by Workspace ID.

Response

Workflow configuration version.

createdAt
string<date-time>
required

Creation date of the workflow configuration.

workflowCode
string
required

Machine-friendly code of Workflow.

Pattern: ^[a-z][-A-Za-z0-9]*$
workspaceId
string<uuid>
required

Workspace ID that the workflow configuration belongs to.

version
integer
required

Version of a Workflow Configuration.

config
object
required

Configuration of the workflow.

createdBy
string<email>

User email. The values are set with the credentials of the request owner.

description
string

Description for the workflow.

archived
boolean
default:false

Whether the workflow version should be displayed archived in Merchant Portal, and filtered from relevant lists. It does not affect write/modify actions, only display behavior.

setAsDefaultBy
string<email> | null

User email who set this workflow version as default.

setAsDefaultAt
string<date-time>

Timestamp when this configuration was set as default.

versions
object[]

Rollout configuration for traffic splitting between versions. Only populated when fetching the default version.